function Y = Memory2Lexic(MaxDeg,Tstep)
%Memory2Lexic Values  of relative values lambda/Tstep.
%   Y = Memory2Lexic(MaxDeg,Tstep,filename) returns the column of values
%   lambda(deg)/Tstep 
%   for lexicographical ordering of  Harmonic Functions 
%   with subscript < MaxDeg
%   
%   lambda values come  from default table (see Hongre_Hulot_Khokhlov 1998

%   author: Andrey Khokhlov. 
%   $Revision: 0.25 $  $Date: 2011/03/07 11:15:40 $
NSz=(MaxDeg+1)^2-1;
Y=zeros(NSz,1);
if  Tstep <= 0.0
    error('MATLAB:Memory2Lexic:InvalidInput', 'Tstep  needs to be positive.')
end
ilex=1;
TabMemory=[2000, 451, 400, 355, 315, 279, 248, 220, 195, 153, 173, 136, 120];
for subsc=1: MaxDeg   
   if subsc > size(TabMemory,2)
        Value=0.0;
   else
        Value=TabMemory(subsc)/(3.0*Tstep);
   end
   for suprs=0:subsc

       Y(ilex)=Value;
       ilex=ilex+1;
       if suprs == 0  
           continue;
       end

       Y(ilex)=Value;
       ilex=ilex+1;           
   end
end
return